searchNodes=[{"ref":"Mix.Tasks.RateHand.html","title":"Mix.Tasks.RateHand","type":"task","doc":""},{"ref":"Mix.Tasks.RateHand.html#run/1","title":"Mix.Tasks.RateHand.run/1","type":"function","doc":"A task needs to implement run which receives a list of command line args. Callback implementation for Mix.Task.run/1."},{"ref":"PokerHandValue.html","title":"PokerHandValue","type":"module","doc":"A library to rate and compare poker hands. Any hand with 5 or more cards can be rated and is therefore suitable for texas hold em and other &gt; 5 card poker types. Example hand = &quot;As Ad Ac Js Jd&quot; PokerHandValue.rate_hand(hand) # =&gt; {:full_house, 7.1411} hand2 = &quot;2c 3d 4h 5s 6c&quot; PokerHandValue.rate_hand(hand2) # =&gt; {:straight, 5.06} PokerHandValue.compare_hands(hand, hand2) # =&gt; :gt"},{"ref":"PokerHandValue.html#compare_hands/2","title":"PokerHandValue.compare_hands/2","type":"function","doc":"Compares two hands. returns :gt if the value of the first hand is greater, :lt if lesses and :eq if they have same value Examples iex&gt; PokerHandValue.compare_hands(&quot;Js Jh 2h 2c 3h&quot;, &quot;Qs 2c 5h Jh 10s&quot;) :gt iex&gt; PokerHandValue.compare_hands(&quot;As Ah Ad 7h 3d&quot;, &quot;2h 3h 4h 5h 6h&quot;) :lt iex&gt; PokerHandValue.compare_hands(&quot;Ks Kh 2d 2h 3d&quot;, &quot;Kc Kd 2c 2s 3c&quot;) :eq"},{"ref":"PokerHandValue.html#match_flush/1","title":"PokerHandValue.match_flush/1","type":"function","doc":"Matches a flush Examples iex&gt; PokerHandValue.match_flush([{:hearts, 9}, {:hearts, 11}, {:hearts, 14}, {:hearts, 7}, {:hearts, 3}]) {:flush, 0.1411090703} iex&gt; PokerHandValue.match_flush([{:hearts, 9}, {:hearts, 11}, {:hearts, 14}, {:hearts, 7}, {:hearts, 3}, {:hearts, 2}]) {:flush, 0.1411090703} iex&gt; PokerHandValue.match_flush([{:hearts, 9}, {:diamonds, 11}, {:hearts, 2}, {:spades, 7}, {:hearts, 3}]) nil"},{"ref":"PokerHandValue.html#match_four_of_a_kind/1","title":"PokerHandValue.match_four_of_a_kind/1","type":"function","doc":"Matches four of a kind, specifying the value Examples iex&gt; PokerHandValue.match_four_of_a_kind([{:hearts, 12}, {:diamonds, 12}, {:spades, 12}, {:hearts, 12}, {:diamonds, 6}]) {:four_of_a_kind, 0.1206} iex&gt; PokerHandValue.match_four_of_a_kind([{:hearts, 12}, {:diamonds, 12}, {:spades, 12}, {:hearts, 12}, {:diamonds, 6}, {:spades, 4}]) {:four_of_a_kind, 0.1206} iex&gt; PokerHandValue.match_four_of_a_kind([{:hearts, 12}, {:diamonds, 11}, {:spades, 12}, {:hearts, 12}, {:diamonds, 6}]) nil"},{"ref":"PokerHandValue.html#match_full_house/1","title":"PokerHandValue.match_full_house/1","type":"function","doc":"Matches a full house, specifying the three of a kind value Examples iex&gt; PokerHandValue.match_full_house([{:hearts, 9}, {:diamonds, 9}, {:spades, 9}, {:hearts, 3}, {:diamonds, 3}]) {:full_house, 0.0903} iex&gt; PokerHandValue.match_full_house([{:hearts, 2}, {:diamonds, 9}, {:spades, 9}, {:hearts, 3}, {:diamonds, 3}]) nil"},{"ref":"PokerHandValue.html#match_high_card/1","title":"PokerHandValue.match_high_card/1","type":"function","doc":"Matches every hand Examples iex&gt; PokerHandValue.match_high_card([{:hearts, 4}, {:diamonds, 2}, {:spades, 9}, {:hearts, 11}, {:diamonds, 3}]) {:high_card, 0.1109040302} iex&gt; PokerHandValue.match_high_card([{:hearts, 4}, {:diamonds, 2}, {:spades, 9}, {:hearts, 11}, {:diamonds, 3}, {:clubs, 12}]) {:high_card, 0.1211090403}"},{"ref":"PokerHandValue.html#match_pair/1","title":"PokerHandValue.match_pair/1","type":"function","doc":"Matches a pair Examples iex&gt; PokerHandValue.match_pair([{:hearts, 4}, {:diamonds, 2}, {:spades, 9}, {:hearts, 9}, {:diamonds, 3}]) {:pair, 0.09040302} iex&gt; PokerHandValue.match_pair([{:hearts, 5}, {:diamonds, 2}, {:spades, 13}, {:hearts, 13}, {:diamonds, 3}]) {:pair, 0.13050302} iex&gt; PokerHandValue.match_pair([{:hearts, 5}, {:diamonds, 2}, {:spades, 13}, {:hearts, 13}, {:diamonds, 3}, {:clubs, 7}]) {:pair, 0.13070503} iex&gt; PokerHandValue.match_pair([{:hearts, 5}, {:diamonds, 2}, {:spades, 13}, {:hearts, 7}, {:diamonds, 3}]) nil"},{"ref":"PokerHandValue.html#match_straight/1","title":"PokerHandValue.match_straight/1","type":"function","doc":"Matches a straight Examples iex&gt; PokerHandValue.match_straight([{:hearts, 4}, {:diamonds, 5}, {:spades, 6}, {:hearts, 7}, {:diamonds, 8}]) {:straight, 0.08} iex&gt; PokerHandValue.match_straight([{:hearts, 14}, {:diamonds, 5}, {:spades, 3}, {:hearts, 4}, {:diamonds, 2}]) {:straight, 0.05} iex&gt; PokerHandValue.match_straight([{:hearts, 14}, {:diamonds, 5}, {:spades, 3}, {:hearts, 4}, {:diamonds, 2}, {:spades, 10}]) {:straight, 0.05} iex&gt; PokerHandValue.match_straight([{:hearts, 14}, {:diamonds, 13}, {:spades, 12}, {:hearts, 11}, {:diamonds, 10}]) {:straight, 0.14} iex&gt; PokerHandValue.match_straight([{:hearts, 13}, {:diamonds, 5}, {:spades, 9}, {:hearts, 7}, {:diamonds, 8}]) nil"},{"ref":"PokerHandValue.html#match_straight_flush/1","title":"PokerHandValue.match_straight_flush/1","type":"function","doc":"Matches a straight flush Examples iex&gt; PokerHandValue.match_straight_flush([{:hearts, 9}, {:hearts, 5}, {:hearts, 6}, {:hearts, 7}, {:hearts, 8}]) {:straight_flush, 0.09} iex&gt; PokerHandValue.match_straight_flush([{:hearts, 9}, {:hearts, 5}, {:hearts, 10}, {:hearts, 7}, {:hearts, 8}]) nil"},{"ref":"PokerHandValue.html#match_three_of_a_kind/1","title":"PokerHandValue.match_three_of_a_kind/1","type":"function","doc":"Matches three of a kind Examples iex&gt; PokerHandValue.match_three_of_a_kind([{:hearts, 12}, {:diamonds, 12}, {:spades, 12}, {:hearts, 3}, {:diamonds, 6}]) {:three_of_a_kind, 0.120603} iex&gt; PokerHandValue.match_three_of_a_kind([{:hearts, 12}, {:diamonds, 12}, {:spades, 12}, {:hearts, 3}, {:diamonds, 6}, {:spades, 2}]) {:three_of_a_kind, 0.120603} iex&gt; PokerHandValue.match_three_of_a_kind([{:hearts, 12}, {:diamonds, 12}, {:spades, 10}, {:hearts, 3}, {:diamonds, 6}]) nil iex&gt; PokerHandValue.match_three_of_a_kind([{:hearts, 12}, {:diamonds, 10}, {:spades, 9}, {:hearts, 3}, {:diamonds, 6}]) nil"},{"ref":"PokerHandValue.html#match_two_pair/1","title":"PokerHandValue.match_two_pair/1","type":"function","doc":"Matches two pairs Examples iex&gt; PokerHandValue.match_two_pair([{:hearts, 4}, {:diamonds, 4}, {:spades, 9}, {:hearts, 6}, {:diamonds, 6}]) {:two_pair, 0.060409} iex&gt; PokerHandValue.match_two_pair([{:hearts, 4}, {:diamonds, 4}, {:spades, 9}, {:hearts, 6}, {:diamonds, 6}, {:hearts, 2}]) {:two_pair, 0.060409} iex&gt; PokerHandValue.match_two_pair([{:hearts, 4}, {:diamonds, 2}, {:spades, 9}, {:hearts, 6}, {:diamonds, 6}]) nil iex&gt; PokerHandValue.match_two_pair([{:hearts, 4}, {:diamonds, 2}, {:spades, 9}, {:hearts, 10}, {:diamonds, 6}]) nil"},{"ref":"PokerHandValue.html#parse_hand/1","title":"PokerHandValue.parse_hand/1","type":"function","doc":"Matches four of a kind, specifying the value Examples iex&gt; PokerHandValue.parse_hand(&quot;Qs 10s 2d Ah 5c&quot;) [{:spades, 12}, {:spades, 10}, {:diamonds, 2}, {:hearts, 14}, {:clubs, 5}] iex&gt; PokerHandValue.parse_hand(&quot;Invalid hand&quot;) ** (RuntimeError) Unable to parse hand"},{"ref":"PokerHandValue.html#rate_hand/1","title":"PokerHandValue.rate_hand/1","type":"function","doc":"Converts a hand to a rating Examples iex&gt; PokerHandValue.rate_hand(&quot;Qh Jh 2h 7h 3h&quot;) {:flush, 6.1211070302} iex&gt; PokerHandValue.rate_hand(&quot;As Ah Ad 7h 3d&quot;) {:three_of_a_kind, 4.140703} iex&gt; PokerHandValue.rate_hand(&quot;As Ah Kd 2h 3d&quot;) {:pair, 2.14130302}"}]